Frontend API
Generate a new TOTP authenticator (Google Authenticator, etc.)
cURL
curl --request POST \ --url https://api.wacht.dev/me/authenticator \ --header 'Content-Type: application/x-www-form-urlencoded' \ --cookie session_id= \ --data email=jsmith@example.com
{ "status": 200, "message": "", "data": { "id": "<string>", "otp_url": "<string>", "totp_secret": "<string>", "created_at": "2023-11-07T05:31:56Z" }, "session": { "id": "123456789012345678", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }, "errors": [ { "code": "INVALID_CREDENTIALS", "message": "Invalid credentials. Please try again." } ] }
Authenticator created
HTTP status code
200
Response message (empty on success)
""
Show child attributes
Minimal session info included in every response
Error details (null on success)
Was this page helpful?